### Hierarchy

- TileGroup

### Implements

- AfterContentInit
- OnDestroy

## Index

### Inputs

- multiple
- name

### Outputs

- selected

### Constructors

- constructor

### Properties

- multiple
- name
- selected
- selectionTiles
- tileGroupClass
- unsubscribe$
- unsubscribeTiles$
- tileGroupCount

### Methods

- ngAfterContentInit
- ngOnDestroy
- onChange
- onTouched
- registerOnChange
- registerOnTouched
- writeValue

## Constructors

### constructor

- new TileGroup(): TileGroup

- - Defined in src/tiles/tile-group.component.ts:59

  #### Returns TileGroup

## Properties

### multiple

@Input()
multiple: boolean = false

- Defined in src/tiles/tile-group.component.ts:38

### name

@Input()
name: string = `tile-group-${TileGroup.tileGroupCount}`

- Defined in src/tiles/tile-group.component.ts:34

### selected

@Output()
selected: EventEmitter<TileSelection> = new EventEmitter()

- Defined in src/tiles/tile-group.component.ts:52

### selectionTiles

@ContentChildren({"selector":"SelectionTile"})
selectionTiles: QueryList<SelectionTile>

- Defined in src/tiles/tile-group.component.ts:56

### tileGroupClass

@HostBinding({"hostPropertyName":"class.bx--tile-group"})
tileGroupClass: boolean = true

- Defined in src/tiles/tile-group.component.ts:54

### Protected unsubscribe$

unsubscribe$: Subject<void> = new Subject<void>()

- Defined in src/tiles/tile-group.component.ts:58

### Protected unsubscribeTiles$

unsubscribeTiles$: Subject<void> = new Subject<void>()

- Defined in src/tiles/tile-group.component.ts:59

### Static tileGroupCount

tileGroupCount: number = 0

- Defined in src/tiles/tile-group.component.ts:30

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/tiles/tile-group.component.ts:69

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/tiles/tile-group.component.ts:100

  #### Returns void

### onChange

- onChange(_: any): void

- - Defined in src/tiles/tile-group.component.ts:65

  #### Parameters

  - ##### _: any

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/tiles/tile-group.component.ts:67

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/tiles/tile-group.component.ts:120

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/tiles/tile-group.component.ts:124

  #### Parameters

  - ##### fn: any

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/tiles/tile-group.component.ts:109

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc